package com.ttstd.dialer.livedata;

/**
 * 包装数据和版本号，用于版本校验
 */
public class VersionedData<T> {
    private final T data; // 实际数据
    private final int version; // 数据版本号

    public VersionedData(T data, int version) {
        this.data = data;
        this.version = version;
    }

    public T getData() {
        return data;
    }

    public int getVersion() {
        return version;
    }
}
